//*****************************************************************************
//
// Title        : MP3stick - MP3 player
// Authors      : Michael Wolf
// File Name    : 'firmware_conf.h'
// Date         : January 1, 2006
// Version      : 1.00
// Target MCU   : Atmel AVR ATmega128/1281
// Editor Tabs  : 2
//
// NOTE: The authors in no way will be responsible for damages that you
//       coul'd be using this code.
//       Use this code at your own risk.
//
//       This code is distributed under the GNU Public License
//       which can be found at http://www.gnu.org/licenses/gpl.txt
//
// Change Log
//
// Version  When        Who           What
// -------  ----        ---           ----
// 1.00     01/01/2006  Michael Wolf  Initial Release
//
//*****************************************************************************
#ifndef FIRMWARE_CONF_H
#define FIRMWARE_CONF_H

/*
  choose a Flash font style 
*/

//#define ADVOCUT       // size 8x14
//#define AUXDOTBIT     // size 8x14
//#define BAUER         // size 8x14
//#define DEFAULT       // size 8x14
//#define FREON         // size 8x14
//#define MS_SANS_SERIF // size 8x14
//#define OEM_6x8       // this is a true size 6x8 font
//#define OEM_8x14      // size 8x14
//#define SYSTEMATIC    // size 8x14
#define TAHOMA			// size 8x14
//#define ZELDADX       // size 8x14

/* 
  set the time in seconds the center key must be pressed
  to turn on the player
  Range 1-8 seconds
*/
#define POWER_KEY_TIME  3

/* 
  set the time in seconds for auto exit of menu
  Range 1-10 seconds
*/
#define MENU_EXIT_TIME  3

/* 
  set default LCD contrast
  Can be changed via menu
*/
#define LCD_CONTRAST    50

/* 
  set USART communication speed
  Note: The controller is running at 8MHz. Not all Baud rates can be used
        with small error rates.
        i.e.: 115k has an error rate over 7% at 8MHz
*/
#define BAUD_RATE    19200

/*
  uncomment this line to enable serial communication via docking connector
*/
#define ENABLE_SERIAL

/*
  uncomment this line to enable serial player outputs (title info)
*/
#define ENABLE_SERIAL_OUTPUT

/*
  Set scroll speed. Range 1-10 ; Lower value is faster
*/
#define SCROLL_SPEED  6

/*
  Uncomment this line to center playlist name if shorter than 15 characters
*/
#define CENTER_PLAYLIST

/*
  Define USART control characters here
  Order follows the state enumeration in file MP3stick.h
  
  PLAY STOP NEXT PREV NEXT_PL PREV_PL MENU UP DOWN ENTER SLEEP
*/
#define USART_CHARS "gGnpNPMUDES"

#endif // FIRMWARE_CONF_H
