//*****************************************************************************
//
// Title        : MP3stick - MP3 player
// Authors      : Michael Wolf
// File Name    : 'lcd_layout.h'
// Date         : March 11, 2006
// Version      : 1.00
// Target MCU   : Atmel AVR ATmega128/1281
// Editor Tabs  : 2
//
// NOTE: The authors in no way will be responsible for damages that you
//       coul'd be using this code.
//       Use this code at your own risk.
//
//       This code is distributed under the GNU Public License
//       which can be found at http://www.gnu.org/licenses/gpl.txt
//
// Change Log
//
// Version  When        Who           What
// -------  ----        ---           ----
// 1.00     11/03/2006  Michael Wolf  Initial Release
//
//*****************************************************************************
#ifndef LCD_LAYOUT_H
#define LCD_LAYOUT_H

#define BATT_ICON_XPOS        108
#define BATT_ICON_YPOS        2

#define TITLE_TIME_XPOS       2
#define TITLE_TIME_YPOS       114

#define TIME_PLAYED_XPOS      77
#define TIME_PLAYED_YPOS      114

#define PROGRESSBAR_XPOS      2
#define PROGRESSBAR_YPOS      100
#define PROGRESSBAR_LEN       125

#define PLAYING_TITLE_XPOS    8
#define PLAYING_TITLE_YPOS    80

#define PLAYLIST_NAME_XPOS    2
#define PLAYLIST_NAME_YPOS    25

#define ARTIST_NAME_XPOS      2
#define ARTIST_NAME_YPOS      47

#define TITLE_NAME_XPOS       2
#define TITLE_NAME_YPOS       62

// Menu strings

#define T_STR0  "   - M E N U - "
#define T_STR1  "PLAY / STOP"
#define T_STR2  "STOP"
#define T_STR3  "NEXT TITLE"
#define T_STR4  "PREV TITLE"
#define T_STR5  "NEXT PLAYLIST"
#define T_STR6  "PREV PLAYLIST"
#define T_STR7  "VOL"
#define T_STR8  "BAL"
#define T_STR9  "BASS"
#define T_STR10 "RANDOM"
#define T_STR11 "BLIGHT"
#define T_STR12 "CONTRAST"
#define T_STR13 "SLEEP"
#define T_STR14 "BOOTLOAD"


/* defines the order of menu items */
/* must match the string order above */
enum {
    /*MENU_TITLE */
    MENU_PLAY = 1,
    MENU_NEXT,
    MENU_PREV,
    MENU_NEXT_PL,
    MENU_PREV_PL,
    MENU_VOL,
    MENU_BAL,
    MENU_BASSFREQ,
    MENU_BASSAMP,
    MENU_RAND,
    MENU_BLIGHT_T,
    MENU_BLIGHT_B,
    MENU_CONTRAST,
    MENU_SLEEP,
    MENU_BOOTLOAD
};

// set correct number of menu entries!!!
#define NUM_MENU_ENTRIES  16

#endif // LCD_LAYOUT_H
