//*****************************************************************************
//
// Title        : MP3stick - MP3 player
// Authors      : Michael Wolf
// File Name    : 'skin.h'
// Date         : June 15, 2006
// Version      : 1.01
// Target MCU   : Atmel AVR ATmega128/1281
// Editor Tabs  : 2
//
// NOTE: The authors in no way will be responsible for damages that you
//       coul'd be using this code.
//       Use this code at your own risk.
//
//       This code is distributed under the GNU Public License
//       which can be found at http://www.gnu.org/licenses/gpl.txt
//
// Change Log
//
// Version  When        Who           What
// -------  ----        ---           ----
// 1.00     15/06/2006  Michael Wolf  Initial Release
// 1.01     01/11/2006  Michael Wolf  Reworked file
//
//*****************************************************************************
#ifndef SKIN_H
#define SKIN_H

#define SKIN_IMAGE_SIZE   16384UL
#define SKIN_IMG_STOP     0
#define SKIN_IMG_PLAY     1
#define SKIN_IMG_MENU     2

#define SKIN_IMAGE_COUNT  6UL

// Numbers defining the position of color within
// the color array
#define PLAYLIST_FG   16
#define PLAYLIST_BG   0
#define SONG_FG       18
#define SONG_BG       2
#define ARTIST_FG     17
#define ARTIST_BG     1
#define SONG_TIME_FG  20
#define SONG_TIME_BG  4
#define BAR_FG        33
#define BAR_BG        32
#define MENU_FG       25
#define MENU_BG       9
#define SONG_NUM_FG   19
#define SONG_NUM_BG   3
#define BATT_BG       34

extern uint8_t number_of_skins;	// actual number of skin files found
extern char skin_colors[36]; // skin color array, see layout.txt

void skin_image (uint8_t);
void skin_init (uint8_t);
void skin_read_colors (void);

#endif // SKIN_H
